%def_disable static

Name: c-ares
Version: 1.6.0
Release: alt0.M41.1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: A library that performs asynchronous DNS operations
License: MIT
Group: System/Libraries

Url: http://c-ares.haxx.se/
Source: %url/c-ares-%version.tar.gz

# Automatically added by buildreq on Fri Sep 12 2008
# glibc-devel-static triggered by configure check if "gcc -static" works
# and not really needed for build
#BuildRequires: glibc-devel-static

%description -n c-ares

c-ares is a C library that performs DNS requests and name resolves
asynchronously. This package contains little utilities built with
this library.

%package -n libcares
Summary: A library that performs asynchronous DNS operations
Group: System/Libraries

%description -n libcares
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n libcares-devel
Summary: Libraries, includes, etc. to develop applications used c-ares
Group: System/Libraries
Requires: libcares = %version-%release

%description -n libcares-devel
This package contains the header files and libraries links needed to
compile applications or shared objects that use c-ares.

%package -n libcares-devel-static
Summary: Static libraries for c-ares
Group: System/Libraries
PreReq: libcares-devel = %version-%release

%description -n libcares-devel-static
This package contains development libraries required for packaging statically
linked c-ares based software.

%prep
%setup -n c-ares-%version

%build
%configure --enable-shared %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
install -d %buildroot%_bindir
install -pm755 .libs/{acountry,adig,ahost} %buildroot%_bindir/

%files -n c-ares
%_bindir/*

%files -n libcares
%_libdir/*.so.*

%files -n libcares-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%if_enabled static
%files -n libcares-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jul 06 2010 Motsyo Gennadi <drool@altlinux.ru> 1.6.0-alt0.M41.1
- build for M41

* Thu Dec 11 2008 Victor Forsyuk <force@altlinux.org> 1.6.0-alt1
- 1.6.0

* Wed Nov 26 2008 Victor Forsyuk <force@altlinux.org> 1.5.3-alt2
- Removed obsolete %%post* scripts.

* Fri Sep 12 2008 Victor Forsyuk <force@altlinux.org> 1.5.3-alt1
- 1.5.3

* Thu Jun 12 2008 Victor Forsyuk <force@altlinux.org> 1.5.2-alt1
- Initial build.
